<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.style24</groupId>
		<artifactId>root</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>
	<groupId>com.style24.admin</groupId>
	<artifactId>style24.admin</artifactId>
	<packaging>war</packaging>
	<name>style24.admin</name>
	<description>STYLE24 Admin</description>
	
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-test</artifactId>
			<scope>test</scope>
		</dependency>
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-thymeleaf</artifactId>
		</dependency>
		<dependency>
			<groupId>nz.net.ultraq.thymeleaf</groupId>
			<artifactId>thymeleaf-layout-dialect</artifactId>
		</dependency>
		
		<dependency>
			<groupId>servlets.com</groupId>
			<artifactId>cos</artifactId>
			<version>05Nov2002</version>
		</dependency>
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.6</version>
		</dependency>
		
		<!-- /// WEB-INF lib -->
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-core</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-core-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-parameter</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-parameter-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-rest</artifactId>
			<version>1.7.1-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-rest-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-web-util</artifactId>
			<version>1.7-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-web-util-1.7-RELEASE.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>com.gagaframework</groupId>
			<artifactId>gagaframework-excel</artifactId>
			<version>1.7.1-RELEASE</version>
			<scope>system</scope>
			<systemPath>${basedir}/src/main/webapp/WEB-INF/lib/gagaframework-excel-1.7.1-RELEASE.jar</systemPath>
		</dependency>
		<!-- \\\ WEB-INF lib -->
	</dependencies>
	
	<build>
		<finalName>${project.name}</finalName>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.xml</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*</include>
				</includes>
			</resource>
		</resources>
	</build>
</project>